Package com.complexible.stardog.api

# Interface NamespacesInfo

All Superinterfaces:
  `Iterable<Namespace>`, `Namespaces`

public interface NamespacesInfo extends Namespaces

The namespaces stored in a database. If the logged in user also has write access to database metadata, returned namespaces can be modified through `add` and `remove` functions.

Changes done on the returned `NamespacesInfo` instance will be applied to database metadata immediately. However, since this function returns a snapshot of stored namespaces and applies changes to the local copy before applying them to the database metadata, concurrent updates of namespaces might result in changes performed by one connection to be overridden by another connection.

A new snapshot is retrieved every time this function is called which will take into account any changes that have occurred before this call.

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  ### Fields inherited from interface com.stardog.stark.Namespaces

  `BASE_URI, DC, DEFAULT, EXTENDED, FOAF, OWL, PROV, RDF, RDFA_INIT_CONTEXT, RDFS, SCHEMA_ORG, SHACL, SKOS, STARDOG, STARDOG_SHACL, SWRL, SWRLB, XSD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(Namespace theNS)`
  `default boolean`
  `add(Namespaces theNS)`
  `default boolean`
  `add(String thePrefix, String theIRI)`
  `default boolean`
  `remove(Namespace theNS)`
  `default boolean`
  `remove(Namespaces theNS)`
  `boolean`
  `remove(String thePrefix)`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface com.stardog.stark.Namespaces

  `iri, map, prefix, stream`

- ## Method Details

  - ### add

    default boolean add(String thePrefix, String theIRI)

  - ### add

    boolean add(Namespace theNS)

  - ### add

    default boolean add(Namespaces theNS)

  - ### remove

    boolean remove(String thePrefix)

  - ### remove

    default boolean remove(Namespace theNS)

  - ### remove

    default boolean remove(Namespaces theNS)